Configurando o Ruby e Rails usando RVM

De Wiki Hackstore
Logo rvm.png


Instale o RVM

http://rvm.io/rvm/install


Instale o Ruby via RVM

Instale a versão 1.8.7 do ruby e defina-o como o interpretador padrão ruby do sistema:

rvm install 1.8.7
rvm --default use 1.8.7

Você pode ver quais as outras versões do Ruby estão disponíveis:

rvm list known


Instale o Rails

RVM Gemsets

RVM permite que você tenha conjuntos separados de gemas que podem ser combinadas com as diferentes instalações de ruby. Isso permite que você mude, por exemplo, entre diferentes versões de rails, dependendo do projeto que você deseja trabalhar.

Crie a Gemset e instale Rails 3.0.9

rvm gemset create rails309
rvm 1.8.7@rails309
gem install rails -v 3.0.9


Alternando versões do Ruby

Você pode voltar a usar o interpretador Ruby instalado no sistema caso ocorram problemas usando o RVM:

rvm system

E defina no seu terminal que você irá usar o interpretador Ruby do sistema por padrão:

rvm --default system